Rezepte
ReferenceRecipes

/api/v1/recipe-drafts

Read a recipe page or pasted text into an unsaved draft

POST/api/v1/recipe-drafts
rezepte_session<token>

Session cookie set by POST /api/v1/auth/login.

In: cookie

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/api/v1/recipe-drafts" \  -H "Content-Type: application/json" \  -d '{}'
{  "$schema": "https://example.com/api/v1/schemas/DraftOutputBody.json",  "duplicate": {    "createdBy": {      "avatarId": "string",      "color": "string",      "displayName": "string",      "id": "string",      "username": "string"    },    "id": "string",    "slug": "string",    "title": "string"  },  "photo": {    "href": "string"  },  "recipe": {    "$schema": "https://example.com/api/v1/schemas/Input.json",    "cookMinutes": 0,    "description": "string",    "editPolicy": "default",    "ingredientGroups": [      {        "ingredients": [          {            "name": "string",            "note": "string",            "quantity": 0,            "unit": "string"          }        ],        "name": "string"      }    ],    "prepMinutes": 0,    "servings": 1,    "sourceName": "string",    "sourceUrl": "http://example.com",    "steps": [      {        "references": [          {            "groupName": "string",            "ingredientName": "string",            "word": "string"          }        ],        "text": "string",        "times": [          {            "maxSeconds": 1,            "phrase": "string",            "seconds": 1          }        ]      }    ],    "tags": [      "string"    ],    "title": "string"  },  "review": [    {      "group": 0,      "ingredient": 0,      "line": "string"    }  ],  "suggestedTags": [    "string"  ],  "truncated": true}